> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Download Invoice PDF > Download the customer's invoice PDF for an existing billing record. ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/billing/{billingRecordId}/pdf openapi: 3.0.0 info: title: bunny.net Partner Portal API version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Customers - name: Audit Log - name: Contract - name: Billing - name: Pricing - name: Products paths: /partner/customer/{customerUserId}/billing/{billingRecordId}/pdf: get: tags: - Billing summary: Download Invoice PDF description: Download the customer's invoice PDF for an existing billing record. operationId: GetPartnerCustomerBillingPdfEndpoint_GetBillingPdf parameters: - name: customerUserId in: path required: true schema: type: string x-position: 1 - name: billingRecordId in: path required: true schema: type: integer format: int64 x-position: 2 responses: '200': description: Invoice PDF stream. '403': description: Customer is not assigned to this partner. '404': description: Invoice not found. '503': description: PDF generation failed. security: - AccessKey: - ResellerPartner - MSPPartner - bearer: - ResellerPartner - MSPPartner components: securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.